Skip to main content
POST
Create a warehouse

Authorizations

Authorization
string
header
required

Workspace API key sent as a bearer token: Authorization: Bearer failfast_.... Create keys in Settings -> Workspace -> API Keys.

Body

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.

name
string
required
transaction_permission
enum<string>
required
  • P - Purchase Only
  • S - Sales Only
  • B - Both
Available options:
P,
S,
B
cost_center
string<uuid>
required
branch_office
string<uuid>
required
location
string<uuid>
required
custom_fields
unknown
type
enum<string>
  • S - Standard
  • T - Transit
  • C - Consignment
Available options:
S,
T,
C
is_active
boolean

Response

201 - application/json
message
string
required

Human-readable outcome of the request.

error
boolean
required

true when the request failed.

Example:

false

data
object
required

A ModelSerializer that takes an additional fields argument that controls which fields should be displayed.